osp_target Struct Reference

Struct holding target information. More...

## Data Fields

GSList * | credentials
gchar * | exclude_hosts
gchar * | hosts
gchar * | ports
gchar * | finished_hosts
int | alive_test
gboolean | icmp
gboolean | tcp_syn
gboolean | tcp_ack
gboolean | arp
gboolean | consider_alive
int | reverse_lookup_unify
int | reverse_lookup_only

## Detailed Description

Struct holding target information.

## Field Documentation

## alive_test

int osp_target::alive_test

String defining hosts to exclude as finished

## arp

gboolean osp_target::arp

## consider_alive

gboolean osp_target::consider_alive

## credentials

GSList* osp_target::credentials

## exclude_hosts

gchar* osp_target::exclude_hosts

Credentials to use in the scan

## finished_hosts

gchar* osp_target::finished_hosts

String defining the ports to scan

## hosts

gchar* osp_target::hosts

String defining one or many hosts to exclude

## icmp

gboolean osp_target::icmp

Value defining an alive test method

## ports

gchar* osp_target::ports

String defining one or many hosts to scan

## reverse_lookup_only

int osp_target::reverse_lookup_only

Value defining reverse_lookup_unify opt

## reverse_lookup_unify

int osp_target::reverse_lookup_unify

## tcp_ack

gboolean osp_target::tcp_ack

## tcp_syn

gboolean osp_target::tcp_syn

The documentation for this struct was generated from the following file:

- osp/osp.c